%define oname configparser

Summary:        Configparser module
Name:           python-%{oname}
Version:        3.5.0
Release:        4
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/ambv/configparser
Source0:        https://pypi.python.org/packages/source/c/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python) 
BuildRequires:  pythonegg(setuptools)
Requires:       pythonegg(setuptools)
Provides:       python-%{oname} = %{EVRD}

BuildArch:      noarch

%description
The ancient ConfigParser module available in the standard library 2.x
has seen a major update in Python 3.2. This package is a backport of
those changes so that they can be used directly in Python 2.6 - 3.5.

%files
%doc python2/README.rst
%{py_puresitedir}/backports/
%{py_puresitedir}/*.egg-info
%{py_puresitedir}/%{oname}-%{version}-py*-nspkg.pth
%{py_puresitedir}/%{oname}.py
#--------------------------------------------------------------------
%package -n python3-%{oname}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3egg(setuptools)
Requires:       python3egg(setuptools)
Provides:       python3-%{oname} = %{EVRD}

%description -n python3-%{oname}
The ancient ConfigParser module available in the standard library 2.x
has seen a major update in Python 3.2. This package is a backport of
those changes so that they can be used directly in Python 2.6 - 3.5.

%files -n python3-%{oname}
%doc python3/README.rst
%{py3_puresitedir}/backports/
%{py3_puresitedir}/*.egg-info
%{py3_puresitedir}/%{oname}-%{version}-py*-nspkg.pth
#--------------------------------------------------------------------

%prep
%setup -qc 
rm -rf %{oname}-%{version}/*.egg-info
mv %{oname}-%{version} python2
cp -r python2 python3

%build
pushd python2 
%py2_build
popd
pushd python3
%py3_build
popd

%install
pushd python3
%py3_install
pushd %{buildroot}%{py3_puresitedir}
chmod 755 backports/configparser/helpers.py \
  backports/configparser/__init__.py
  popd
popd

pushd python2 
%py2_install
pushd %{buildroot}%{py_puresitedir}
chmod 755 configparser.py \
  backports/configparser/helpers.py \
  backports/configparser/__init__.py
  popd
popd

%check
pushd python2 
%if %{mdvver} >= 201610
%py_test
%else
python setup.py test
%endif
popd

pushd python3
%if %{mdvver} >= 201610
%py3_test
%else
python3 setup.py test
%endif
popd


%changelog

* Fri Sep 01 2017 Denis Silakov <dsilakov@virtuozzo.com> 3.5.0-4
- (f63418a) Move to main


